Aller au contenu

AutoCAD 2009


1 121 sujets dans ce forum

  1. VISIBILITE BLOC DYNAMIC

    • 5 réponses
    • 3,5 k vues
    • 11 réponses
    • 7 k vues
    • 2 réponses
    • 3,2 k vues
    • 0 réponse
    • 3,1 k vues
    • 1 réponse
    • 2,4 k vues
  2. Fleche

    • 11 réponses
    • 5,6 k vues
    • 3 réponses
    • 3 k vues
    • 3 réponses
    • 3 k vues
    • 7 réponses
    • 3,7 k vues
    • 1 réponse
    • 2,6 k vues
    • 6 réponses
    • 20,1 k vues
  3. Onglets présentation

    • 3 réponses
    • 3,3 k vues
  4. oh 2009

    • 3 réponses
    • 3,3 k vues
  5. ACADFREERAM ???

    • 5 réponses
    • 3,9 k vues
  6. Lenteur générale

    • 3 réponses
    • 3,1 k vues
  7. AutoSnap

    • 0 réponse
    • 2,9 k vues
    • 9 réponses
    • 3,9 k vues
  8. 3D

    • 12 réponses
    • 4 k vues
    • 6 réponses
    • 3,4 k vues
  9. Les rubans

    • 0 réponse
    • 2,2 k vues
    • 0 réponse
    • 2,1 k vues


  • Statistiques des forums

    • Total des sujets
      48,7 k
    • Total des messages
      295,2 k
  • Sujets

  • Messages

    • Bonjour à tous, Je suis actuellement sur covadis 17.1, je cherche à faire des étiquettes un peu particulière, je vous explique mon problème : - Ces sont des étiquettes pour des regards de branchements EU/EP - Ces étiquettes doivent afficher le nom du regard, la côte TN, le fil d'eau et la profondeur. Jusque la tout va bien, je connais la profondeur et le fil d'eau de certains branchements donc ceux la s'affiche correctement sur l'étiquette. Mon problème étant ceux que je ne connais pas j'aimerais qu'ils affichent ce qui suis : Nom  Côte TN FE : Existant Profondeur : Existant Or mon problème est que je ne sais pas comment différencier les étiquettes des branchements dont je connais la profondeur des autres, les branchements étant tous sur le même calque et raccordé sur la même conduite, quand je modifie les étiquettes j'ai ou un FE et une profondeur qui s'affiche par défauts sur les branchements inconnus ou les mots Existant qui s'affiche sur tous les branchements. Est il possible d'avoir deux jeux d'étiquettes différents qui s'affiche suivant les branchements sur un même calque? Sinon existe t'il une autre solution? Merci d'avance.  
    • Bonjour. j'ai vu sur le site qu'il était possible de modifier des décimales de champs ex: (%lu2%pr2">%) dans des blocs avec attributs, il y a une solution de Gille. ci joint le lien :    j'ai des coordonnées de point en MTEXT que l'on me demande de changer la décimale, plus d'une centaine dans le dessin. est-il possible de lire le champs %pr2">% et de le mettre à 3    Cordialement Fabs
    • Bonjour, Et donc en combinant l'accrochage sur MNT indiqué par le support et la commande autocad "ID" on retrouve la commande Covadis "ID point sur MNT".
    • @lecrabe J'ai refait la manip de copier-coller le code depuis le forum, je n'ai pas de problème d'appariement de parenthèses. Donc vérifie ta copie car je doute que ta copie fonctionne correctement et que tu puisse "jouer" avec....?!?!
    • Bonjour, Je te propose un code qui va modifier tes attributs concernés et placer un MTEXT avec le diamètre du tuyau au milieu de la polyligne 3D. Je ne modifie pas la polyligne3D mais lui ajoute une XDATA qui lui attribue le diamètre du tuyau en mm en tant que réel. A toi de faire ce que tu veux de cette donnée XData (modifier ta polyligne, ou exporter la donnée ou encore autre chose) Sur ton dessin cela à l'air de fonctionner, mais le traitement  peut être long (forcément, tu as énormément de blocs dans ton dessin et de polylignes3D) Pour info sur ma machine cela dure environ 4mn avec le processeur qui s’emballe à 20%), mais si tu es patient cela fait le job: Autocad n'es pas planté mais il bosse... A la fin toutes tes polylignes3D concernées sont sélectionnées, tu peux donc les changer de couleur, de calque ou autre propriétés pour mieux les repérer. Cela va t-il t'avancer? (defun l-coor2l-pt (obj lst / ) (if lst (cons (list (car lst) (cadr lst) (caddr lst) ) (l-coor2l-pt obj (cdddr lst)) ) ) ) (defun make_mtext (pt rot txt lay / ) (setq nw_obj (vla-addMtext Space (vlax-3d-point pt) 0.0 txt ) ) (mapcar '(lambda (pr val) (vlax-put nw_obj pr val) ) (list 'AttachmentPoint 'Height 'DrawingDirection 'StyleName 'Layer 'Rotation 'BackgroundFill) (list 5 0.3 5 "Réseaux_Arial" lay rot -1) ) ) (defun c:test ( / js dfzz AcDoc Space n ss ent obj_vla l_coor l_diam atts dlt_z) (while (null (setq js (ssget "_X" (list '(0 . "POLYLINE") '(-4 . "&") '(70 . 8) (cons 67 (if (eq (getvar "CVPORT") 1) 1 0)) (cons 410 (if (eq (getvar "CVPORT") 1) (getvar "CTAB") "Model")) ) ) ) ) ) (if (not dfzz) (setvar "USERR1" 1E-02)) (initget 4) (if (not (setq dfzz (getdist (strcat "\nRayon de recherche? <" (rtos (getvar "USERR1") 2 2) "> : ")))) (setq dfzz (getvar "USERR1")) (setvar "USERR1" dfzz) ) (if (null (tblsearch "appid" "RESEAU_TUYAUX")) (regapp "RESEAU_TUYAUX") ) (setq AcDoc (vla-get-ActiveDocument (vlax-get-acad-object)) Space (if (= 1 (getvar "CVPORT")) (vla-get-PaperSpace AcDoc) (vla-get-ModelSpace AcDoc) ) ) (repeat (setq n (sslength js)) (setq ss (ssadd) ent (ssname js (setq n (1- n))) obj_vla (vlax-ename->vla-object ent) l_coor (l-coor2l-pt obj_vla (vlax-get obj_vla 'Coordinates)) l_diam nil ) (mapcar '(lambda (x) (cond ( (ssget "_X" (list '(0 . "INSERT") '(2 . "IC_11_*") '(66 . 1) (cons 67 (if (eq (getvar "CVPORT") 1) 1 0)) (cons 410 (if (eq (getvar "CVPORT") 1) (getvar "CTAB") "Model")) '(-4 . "<AND") '(-4 . ">=,>=") (cons 10 (mapcar '- (list (car x) (cadr x)) (list dfzz dfzz))) '(-4 . "<=,<=") (cons 10 (mapcar '+ (list (car x) (cadr x)) (list dfzz dfzz))) '(-4 . "AND>") ) ) (setq ss (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object) ) ) ) (vlax-for blk ss (setq atts (vlax-invoke blk 'getattributes)) (foreach att atts (if (and (eq (vla-get-tagstring att) "DIAM") (/= (vla-get-textstring att) "")) (setq l_diam (vla-get-textstring att)) ) ) ) (cond (l_diam (setq dlt_z (read (substr l_diam 4))) (vlax-for blk ss (setq atts (vlax-invoke blk 'getattributes)) (foreach att atts (if (eq (vla-get-tagstring att) "Altitude_GS") (vla-put-textstring att (rtos (- (read (vla-get-textstring att)) (* 1E-3 dlt_z)) 2 2)) ) ) ) (entmod (append (entget ent) (list (list -3 (list "RESEAU_TUYAUX" (cons 1002 "{") (cons 1000 "DIAM") (cons 1040 dlt_z) (cons 1002 "}") ) ) ) ) ) (make_mtext (vlax-curve-getPointAtParam obj_vla (* 0.5 (vlax-curve-getEndParam obj_vla))) (angle '(0. 0. 0.) (vlax-curve-getfirstderiv obj_vla (* 0.5 (vlax-curve-getEndParam obj_vla)))) l_diam (vla-get-layer obj_vla) ) ) ) ) ) ) l_coor ) ) (sssetfirst nil (ssget "_X" (list '(0 . "POLYLINE") '(-4 . "&") '(70 . 8) (cons 67 (if (eq (getvar "CVPORT") 1) 1 0)) (cons 410 (if (eq (getvar "CVPORT") 1) (getvar "CTAB") "Model")) '(-3 ("RESEAU_TUYAUX")) ) ) ) (prin1) ) NB: Fait un _AUDIT de ton dessin avant car tu as beaucoup d'erreur sur tes POLY3D (option corriger les erreurs)
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité